API ReferenceapicommsGET /v1/admin/campaigns/{id}/history

GET /v1/admin/campaigns/\{id\}/history

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Campaign send history

{
  "type": "object",
  "properties": {
    "sends": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "campaign_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "total_recipients": {
            "type": "number"
          },
          "sent": {
            "type": "number"
          },
          "failed": {
            "type": "number"
          },
          "started_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "completed_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_by": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "campaign_id",
          "brand_id",
          "status",
          "total_recipients",
          "sent",
          "failed",
          "started_at",
          "completed_at",
          "created_by",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "sends"
  ]
}

500 History failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/admin/campaigns/{id}/history \
  -H "Authorization: Bearer $ACCESS_TOKEN"